org.apache.ignite.internal.processors.platform

## Interface PlatformPluginExtension

All Superinterfaces:
  Extension

    public interface PlatformPluginExtension
    extends Extension

Platform extension.

### Method Summary

All Methods Instance Methods Abstract Methods
`PlatformTarget` `createTarget()` Creates the PlatformTarget for this extension.
`int` `id()` Get extension ID.

### Method Detail

#### id

    int id()

Get extension ID. Must be unique among all extensions.

Returns:
  Extension ID.

#### createTarget

    PlatformTarget createTarget()

Creates the PlatformTarget for this extension.

Returns:
  PlatformTarget for this extension.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021